### Custom user variables
## Copy this file to "dockcheck.config" to make it active
## Can be placed in ~/.config/ or alongside dockcheck.sh
##
## Uncomment and set your preferred configuration variables here
## This will not be replaced on updates

#Timeout=10    # Set a timeout (in seconds) per container for registry checkups.
#MaxAsync=10    # Set max asynchronous subprocesses, 1 default, 0 to disable.
#BarWidth=50    # The character width of the progress bar
#AutoMode=true    # Automatic updates, without interaction.
#DontUpdate=true    # No updates; only checking availability without interaction.
#AutoPrune=true    # Auto-Prune dangling images after update.
#AutoSelfUpdate=true    # Allow automatic self updates - caution as this will pull new code and autorun it.
#Notify=true    # Inform - send a preconfigured notification.
#Exclude="one,two"    # Exclude containers, separated by comma.
#DaysOld="5"    # Only update to new images that are N+ days old. Lists too recent with +prefix and age. 2xSlower.
#Stopped="-a"    # Include stopped containers in the check. (Logic: docker ps -a).
#OnlyLabel=true    # Only update if label is set. See readme.
#ForceRestartStacks=true    # Force stop+start stack after update. Caution: restarts once for every updated container within stack.
#DRunUp=true    # Allow updating images for docker run, wont update the container.
#MonoMode=true    # Monochrome mode, no printf colour codes and hides progress bar.
#PrintReleaseURL=true   # Prints custom releasenote urls alongside each container with updates (requires urls.list)`
#PrintMarkdownURL=true    # Prints custom releasenote urls as markdown
#OnlySpecific=true    # Only compose up the specific container, not the whole compose. (useful for master-compose structure).
#CurlRetryDelay=1    # Time between curl retries
#CurlRetryCount=3    # Max number of curl retries
#CurlConnectTimeout=5    # Time to wait for curl to establish a connection before failing
#DisplaySourcedFiles=false    # Display what files are being sourced/used

### Notify settings
## All commented values are examples only. Modify as needed.
##
## Uncomment the line below and specify the notification channels you wish to enable in a space separated string
# NOTIFY_CHANNELS="apprise discord DSM file generic HA gotify matrix ntfy pushbullet pushover slack smtp telegram file"
#
## Uncomment the line below and specify the number of seconds to delay notifications to enable snooze
# SNOOZE_SECONDS=86400
#
## Uncomment and set to true to disable notifications when dockcheck itself has updates.
# DISABLE_DOCKCHECK_NOTIFICATION=false
## Uncomment and set to true to disable notifications when notify scripts themselves have updates.
# DISABLE_NOTIFY_NOTIFICATION=false
#
## Apprise configuration variables. Set APPRISE_PAYLOAD to make a CLI call or set APPRISE_URL to make an API request instead.
# APPRISE_PAYLOAD='mailto://myemail:mypass@gmail.com
#                 mastodons://{token}@{host}
#                 pbul://o.gn5kj6nfhv736I7jC3cj3QLRiyhgl98b
#                 tgram://{bot_token}/{chat_id}/'
# APPRISE_URL="http://apprise.mydomain.tld:1234/notify/apprise"
#
# DISCORD_WEBHOOK_URL="https://discord.com/api/webhooks/<token string>"
#
# DSM_SENDMAILTO="me@mydomain.com"
# DSM_SUBJECTTAG="Email Subject Prefix"
#
# GOTIFY_DOMAIN="https://gotify.domain.tld"
# GOTIFY_TOKEN="token-value"
#
# HA_ENTITY="entity"
# HA_TOKEN="token"
# HA_URL="https://your.homeassistant.url"
#
# MATRIX_ACCESS_TOKEN="token-value"
# MATRIX_ROOM_ID="myroom"
# MATRIX_SERVER_URL="https://matrix.yourdomain.tld"
#
## https://ntfy.sh or your custom domain with https:// and no trailing /
# NTFY_DOMAIN="https://ntfy.sh"
# NTFY_TOPIC_NAME="YourUniqueTopicName"
# NTFY_AUTH=""   # set to either format -> "user:password" OR ":tk_12345678". If using tokens, don't forget the ":"
#
# PUSHBULLET_URL="https://api.pushbullet.com/v2/pushes"
# PUSHBULLET_TOKEN="token-value"
#
# PUSHOVER_URL="https://api.pushover.net/1/messages.json"
# PUSHOVER_USER_KEY="userkey"
# PUSHOVER_TOKEN="token-value"
#
# SLACK_CHANNEL_ID=mychannel
# SLACK_ACCESS_TOKEN=xoxb-token-value
#
# SMTP_MAIL_FROM="me@mydomain.tld"
# SMTP_MAIL_TO="you@yourdomain.tld"
# SMTP_SUBJECT_TAG="dockcheck"
#
# TELEGRAM_CHAT_ID="mychatid"
# TELEGRAM_TOKEN="token-value"
# TELEGRAM_TOPIC_ID="0"
#
# FILE_PATH="${ScriptWorkDir}/updates_available.txt"

